<?php
class NewGuestCheckoutFields extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'new_guest_checkout_fields';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_checkout_orders' => array(
					'first_name' => array('type' => 'string', 'length' => 45, 'null' => true, 'default' => null, 'after' => 'user_id'),
					'last_name' => array('type' => 'string', 'length' => 45, 'null' => true, 'default' => null, 'after' => 'first_name'),
					'phone' => array('type' => 'string', 'length' => 45, 'null' => true, 'default' => null, 'after' => 'last_name'),
					'email' => array('type' => 'string', 'length' => 64, 'null' => true, 'default' => null, 'after' => 'phone'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_checkout_orders' => array('first_name', 'last_name', 'phone', 'email',),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return boolean Should process continue
 */
	public function before($direction) {

		$Customer = ClassRegistry::init('EvCheckout.Customer');
		$Customer->query('ALTER TABLE users ADD UNIQUE(`email`)');

		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return boolean Should process continue
 */
	public function after($direction) {

		return true;
	}
}
