<?php
class MadeUserIdNullable extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'made_user_id_nullable';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'alter_field' => array(
				'ev_checkout_orders' => array(
					'user_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false),
				),
			),
		),
		'down' => array(
			'alter_field' => array(
				'ev_checkout_orders' => array(
					'user_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return boolean Should process continue
 */
	public function before($direction) {

		$Order = ClassRegistry::init('EvCheckout.Order');
		$Order->updateAll(
			['Order.user_id' => 0],
			['Order.user_id' => null]
		);

		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return boolean Should process continue
 */
	public function after($direction) {

		$Order = ClassRegistry::init('EvCheckout.Order');
		$Order->updateAll(
			['Order.user_id' => null],
			['Order.user_id' => '"0"']
		);

		return true;
	}
}
